This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1286198 - dht: for moving file inside a new directory it asks for "overwrite?"
dht: for moving file inside a new directory it asks for "overwrite?"
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nithya Balachandran
storage-qa-internal@redhat.com
dht-rca-unknown, dht-rename-file
: ZStream
Depends On: 1026375
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 07:28 EST by Susant Kumar Palai
Modified: 2016-07-04 05:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1026375
Environment:
Last Closed: 2016-07-04 05:06:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Raghavendra G 2016-07-04 05:06:20 EDT
Given the bug description, it seems like a rename vs lookup selfheal resulting in both src and dst having same gfid. When two different directories share the same gfid (say mv src dst), files in single "src" directory is split (or listed) in both src and dst directory as is seen in this bug. However, the bug doesn't really explain all the sequence of operations that led to dir3/dirn and dir to have same gfid. We suspect this test was carried out on a volume which has already gone into an inconsistent state (possibly due to scenarios as in bz 1118770).

I am closing this bug due to following reasons:
1. test was carried out on a volume which has already gone into an inconsistent state
2. The root cause issue of two directories having same gfid are being tracked by various other bugs (like bz 111870).

Please re-open if you don't feel the reasons are not compelling enough.

regards,
Raghavendra.

Note You need to log in before you can comment on or make changes to this bug.